<!DOCTYPE html>
<html>
    {% load static %}
<head>
	<title>Sign up</title>
        <link rel="icon" href="{% static 'icon.png'%}" type="icon">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
	{% include 'navbarUser.html' %}
	<style>
		@import url('https://fonts.googleapis.com/css2?family=Sora:wght@100;300;400&display=swap');
		* {
			font-family: 'Sora', sans-serif;
		}
		body {
			background-image: url('/static/pattern-randomized.svg');
		}
		body,
		html {
			margin: 0;
			padding: 0;
			height: 100%;
		}
		.user_card {
			width: 380px;
			margin-top: 300px;
			margin-bottom: auto;
			background: #f4f4f4;
			position: relative;
			display: flex;
			justify-content: center;
			flex-direction: column;
			padding: 10px;
			box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
			-webkit-box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
			border-radius: 5px;
		}

		.form_container {
			margin-top: 20px;
		}

		#form-title{
			color: #000;
		}
		.login_btn {
			width: 100%;
			background: #41b3a3 !important;
			color: white !important;
		}
		.login_btn:focus {
			box-shadow: none !important;
			outline: 0px !important;
		}
		.login_container {
			padding: 0 2rem;
		}
		.input-group-text {
			background: #FDAF67 !important;
			color: white !important;
			border: 0 !important;
			border-radius: 0.25rem 0 0 0.25rem !important;
		}
		.input_user,
		.input_pass:focus {
			box-shadow: none !important;
			outline: 0px !important;
		}

		#errorlist{
			background-color: rgb(241, 96, 96);
			color: #fff;
			padding: 10px;
			margin-top: 10px;
			height: fit-content;
			animation: shake 0.5s;
		}
		.errorlist{
			list-style-type: none;
			padding: 0px;
			text-align: center;
		}
		@keyframes shake {
			0% { transform: translate(1px, 1px) rotate(0deg); }
			10% { transform: translate(-1px, -2px) rotate(-1deg); }
			20% { transform: translate(-3px, 0px) rotate(1deg); }
			30% { transform: translate(3px, 2px) rotate(0deg); }
			40% { transform: translate(1px, -1px) rotate(1deg); }
			50% { transform: translate(-1px, 2px) rotate(-1deg); }
			60% { transform: translate(-3px, 1px) rotate(0deg); }
			70% { transform: translate(3px, 1px) rotate(-1deg); }
			80% { transform: translate(-1px, -1px) rotate(1deg); }
			90% { transform: translate(1px, 2px) rotate(0deg); }
			100% { transform: translate(1px, -2px) rotate(-1deg); }
		}

	</style>
</head>
<body>
	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center">
					<h3 id="form-title">SIGN UP AN ACCOUNT</h3>
				</div>
				<div class="d-flex justify-content-center form_container">

					<form method="POST" action="">
						{% csrf_token %}
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							<input type="text" id="username" name="username" maxlength="10"><br>
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password1}}
						</div>
						<div class="input-group mb-2">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							{{form.password2}}
						</div>

				   		<div class="d-flex justify-content-center mt-3 login_container">
				 			<input class="btn login_btn" type="submit" value="Sign up">
				   		</div>

					</form>
				</div>
				
				{% if errors %}
					<div id="errorlist">
					{% for errorMessage in errors %}
							{{ errorMessage }}
					{% endfor %}
					</div>
				{% endif %}
				
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						Already have an account? <a href="{% url 'login' %}" class="ml-2">Login</a>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script>
		var form_fields = document.getElementsByTagName('input')
		form_fields[1].placeholder='Username...';
		form_fields[2].placeholder='Enter password...';
		form_fields[3].placeholder='Re-enter Password...';


		for (var field in form_fields){	
			form_fields[field].className += ' form-control'
		}
	</script>
</body>
</html>